Bug 1802 - accept_sec_context doesn't set LIMITED_PROXY_FLAG for GSI_3_LIMITED_PROXY
: accept_sec_context doesn't set LIMITED_PROXY_FLAG for GSI_3_LIMITED_PROXY
Status: RESOLVED FIXED
: GSI C
Authentication
: 3.2.0
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-06-28 21:39 by
Modified: 2008-08-11 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 21:39:42
gss_accept_sec_context() sets GSS_C_GLOBUS_LIMITED_PROXY_FLAG if

  (cert_type == GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_LIMITED_PROXY)

but shouldn't it be setting it if

  (GLOBUS_GSI_CERT_UTILS_IS_LIMITED_PROXY(cert_type))

instead, so GSS_C_GLOBUS_LIMITED_PROXY_FLAG is set for
GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_LIMITED_PROXY too?

Does this mean GSI applications are accepting
GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_LIMITED_PROXYs even if the
GSS_C_GLOBUS_DONT_ACCEPT_LIMITED_PROXY_FLAG is set?
------- Comment #1 From 2004-06-29 09:25:04 -------
Yup, you are correct. I've applied the fix to cvs and will look into update
packages.

/Sam